#
# spec file for package upsm
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           upsm
Version:        3.0.0
Release:        2.1
Summary:        Qt-based ups monitor (front-end for upsc from Network UPS Tools)
License:        SUSE-Public-Domain
Group:          System/Monitoring
URL:            https://github.com/psemiletov/upsm
Source:         https://github.com/psemiletov/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  ImageMagick
BuildRequires:  cmake
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
Requires:       nut

%description
upsm is Qt-based ups monitor (front-end for upsc from Network UPS Tools).
It sits at the tray and polls nut server using upsc, so you need to set
up NUT first.

%prep
%setup -q
convert -strip icons/upsm.png -resize 128x128 icons/upsm.png

%build
%cmake
%make_jobs

%install
%cmake_install
%suse_update_desktop_file -r  %{name} System Monitor

%if 0%{?suse_version} <= 1330
%post
%desktop_database_post

%postun
%desktop_database_postun
%endif

%files
%doc ChangeLog README
%{_bindir}/upsm
%{_datadir}/applications/upsm.desktop
%{_datadir}/icons/hicolor/128x128/apps/upsm.png
%{_datadir}/icons/hicolor/scalable/apps/upsm.svg

%changelog
* Thu Apr 20 2023 Martin Liška <mliska@suse.cz>
- Drop binutils-gold dependency as the package is obsolete.
* Sat Oct 15 2022 Martin Hauke <mardnh@gmx.de>
- Update to version 3.0.0
  * upsm ported to Qt6 (Qt5 still ok)
  * misc. fixes
* Thu Apr 25 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 2.2.0
  * Window hides form taskbar when minimized (was: optional)
  * Documentation updated
  * Close button now closes the app, minimize button minimizes
    (more logical approach)
  * build files cleanup
* Sat Aug 18 2018 mardnh@gmx.de
- Update to version 2.1.1
  * meson/ninja support
* Sat Aug 18 2018 bwiedemann@suse.com
- Use convert -strip to drop png timestamps
  to make package build reproducible (boo#1047218)
* Thu Jul 19 2018 mardnh@gmx.de
- Fix source url
* Wed Jul 18 2018 mardnh@gmx.de
- Update to version 2.0.2
- specfile cleanup
* Tue Jul 17 2018 huaren.zhong@gmail.com
- Rebuild for Fedora
  Fri Jul 13 00:00:00 UTC 2018 - semiletov <semiletov> 2.0.1-2.mga7
  + Revision: 1243445
- svg icon added
- patch removed because upstream fixed
- update to upstream 2.0.1
- switch to cmake build system; update to upstream 2.0.0
  + wally <wally>
- add patch to fix CXXFLAGS
  Tue Jan  2 00:00:00 UTC 2018 - semiletov <semiletov> 1.3.3-2.mga7
  + Revision: 1189320
- spec file fixes and cleanup
  Mon Nov 27 00:00:00 UTC 2017 - semiletov <semiletov> 1.3.3-1.mga7
  + Revision: 1180110
- desktop file fixes, upstream updated
- imported package upsm
